> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spirii.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a EVSE's with their current status



## OpenAPI

````yaml /openapi/integrations-api/openapi.yml get /evses/{id}
openapi: 3.0.0
info:
  title: Spirii Legacy API
  description: >-
    API for integration to Spirii CPO backend for charge point owners and charge
    point operators with access to whitelabel user data.
  version: 1.1.25
servers:
  - url: https://api.spirii.com/
    description: Production Environment
security: []
paths:
  /evses/{id}:
    get:
      tags:
        - EVSE's
      summary: Retrieve a EVSE's with their current status
      parameters:
        - $ref: '#/components/parameters/evseId'
      responses:
        '200':
          $ref: '#/components/responses/evseId'
        '400':
          $ref: '#/components/responses/badRequest'
        '500':
          $ref: '#/components/responses/badImplementation'
components:
  parameters:
    evseId:
      in: path
      name: id
      description: EVSE ID to retrieve
      required: true
      schema:
        type: string
        example: DK.SPI.EASEE*1
  responses:
    evseId:
      description: EVSE ID data
      content:
        application/json:
          schema:
            type: object
            required:
              - id
              - location
              - status
            properties:
              id:
                description: EVSE id
                type: string
              location:
                type: object
                required:
                  - id
                  - name
                properties:
                  id:
                    description: location id
                    type: integer
                    nullable: true
                  name:
                    description: location name
                    type: string
              status:
                description: EVSE Status
                enum:
                  - Available
                  - Occupied
                  - SuspendedEV
                  - Offline
                  - Charging
                  - Faulted
                  - Preparing
                  - SuspendedEVSE
                type: string
              info:
                description: additional info
                type: string
              transaction:
                type: object
                nullable: true
                properties:
                  id:
                    description: Transaction id
                    type: integer
                  duration:
                    description: duration
                    type: integer
                  power:
                    description: duration
                    type: number
                    nullable: true
                  stateOfCharge:
                    description: state
                    type: number
                    nullable: true
          example:
            id: DK.SPI.Z203*2
            MaxPower: 22
            PowerType: AC_3_PHASE
            Plug Type: Type 2 cable
            location:
              id: 1209
              name: Gentofte Hospital
            status: Available
            info: M3[63/0]S[0:]
            transaction:
              id: 239316
              duration: 33003356
              power: 0
              stateOfCharge: null
    badRequest:
      description: Bad Request, invalid request or missing request parameter
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                description: Error object
                type: object
                properties:
                  message:
                    description: Error message
                    type: string
                    example: >-
                      No fields to update. Please provide at least one of the
                      valid fields
          example:
            error:
              message: Querystring parameter `id` is not allowed
              statusCode: 400
              code: QueryParamNotAllowed
    badImplementation:
      description: Something went wroing, try again later
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                description: Error object
                type: object
                properties:
                  message:
                    description: Error message
                    type: string
                    example: Something went wroing, try again later
          example:
            error:
              message: Something went wroing, try again later
              statusCode: 500

````